/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for PerformingRole
 */
public enum EnumCV_PerformingRole 
{
	//PerformingRoles - CID 7453
		PERFORMING_121094("121094"),
		REFERRING_C1709880("C1709880"),
		REQUESTING_121096("121096"),
		RECORDING_121097("121097"),
		VERIFYING_121098("121098"),
		ASSISTING_121099("121099"),
		CIRCULATING_NURSE_J_0714B("J-0714B"),
		STANDBY_121101("121101"),
		IRRADIATION_AUTHORIZING_113850("113850"),
		IRRADIATION_ADMINISTERING_113851("113851");
	
	private String value;
	
	EnumCV_PerformingRole(String strPerformingRole)
	{
		this.value = strPerformingRole;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
